use `ombutel`;

select
	`settings`.`setting_id`, `types`.`configuration_type_id`, `setting_type_id`
into @setting_id, @conf_type_id, @type_id
	from `xepm_models` as `models`
left join `xepm_brands` as `brands` using (`brand_id`)
left join `xepm_configuration_types` as `types` on (
	`models`.`model_id` = `types`.`model_id`)
left join `xepm_settings` as `settings` on (
	`settings`.`configuration_type_id` = `types`.`configuration_type_id`)
where `brands`.`name` = "fanvil" and
	`models`.`name` = 'x5' and
`settings`.`name` = 'MMI CONFIG MODULE';

insert into `xepm_settings` (
	`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`) values (
		@setting_id, @conf_type_id, @type_id, '--MMI Account--/Account1 Name', '');
insert into `xepm_settings` (
	`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`) values (
		@setting_id, @conf_type_id, @type_id, '--MMI Account--/Account1 Password', '');
insert into `xepm_settings` (
	`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`) values (
		@setting_id, @conf_type_id, @type_id, '--MMI Account--/Account1 Level', '');
