(function () {
	var tree = $('.tree');
	$("#users_profiles_form").validate(Validations);
	var allCheckboxes = $('input[type="checkbox"]');

	tree.treegrid({
		initialState: 'collapsed'
	 });

	$('#superadmin').on('change', function () {
		var state = $(this).prop('checked');
		$('input[type=checkbox]').prop('checked', state);
	});

	$("button.up_expand_all").click(function() { // Expand all
		$('i#up_expand_spinner').addClass('active'); //Show spinner
		$.ajax({
			data: { delay:1 },
			success: function (data) {
				tree.treegrid('expandAll');
			}
		}).always(function(){
			  $('i#up_expand_spinner').removeClass('active');
		});
	});

	$("button.up_collapse_all").click(function() { // Collapse all
		$('i#up_expand_spinner').addClass('active'); //Show spinner
		$.ajax({
			data: { delay:1 },
			success: function (data) {
				tree.treegrid('collapseAll');
			}
		}).always(function(){
			  $('i#up_expand_spinner').removeClass('active');
		});
	});

	var chks, chksChecked, parent, dependent, level;

	allCheckboxes.on('change', function() {
		var checked = $(this).is(':checked');
		parent = $(this).data('parent');

		$('.pt_' + parent).prop('checked', checked);

		level = $(this).data('level');
		dependent = $(this).data('dep');

		chks = tree.find('.dp_' + dependent).length;
		chksChecked = tree.find('.dp_' + dependent + ':checked').length;

		switch (level) {
			case 1:
				chks = $('.first_level').length;
				chksChecked = $('.first_level:checked').length;
				$('#superadmin').prop('checked', (chks === chksChecked));
				break;

			case 2:
				$('.fl_' + dependent).prop('checked', (chks === chksChecked));
				break;

			case 3:
				$('.sl_' + dependent).prop('checked', (chks === chksChecked));
				break;

			default :
				chks = $(this).parent().parent().find('.dp_' + dependent).length;
				chksChecked = $(this).parent().parent().find('.dp_' + dependent + ':checked').length;
				$('.tl_' + dependent).prop('checked', (chks === chksChecked));
				break;
		}
	});

	$('.third_level').each(function() {
		dependent = $(this).data('dep');
		parent = $('.sl_' + dependent);
		checkParent(parent, dependent);
	});

	$('.second_level').each(function() {
		dependent = $(this).data('dep');
		parent = $('.fl_' + dependent);
		checkParent(parent, dependent);
	});

	$('.first_level').each(function() {
		chks = $('.first_level').length;
		chksChecked = $('.first_level:checked').length;
		$('#superadmin').prop('checked', (chks === chksChecked));
	});

	function checkParent(parent, dependent) {
		var chks = tree.find('.dp_' + dependent).length;
		var chksChecked = tree.find('.dp_' + dependent + ':checked').length;
		parent.prop('checked', (chks === chksChecked));
	}
})();
